Error Report

unread
Error Code: 
4
Error Message: 
Operation details
Installable Units Reported: 
org.springframework.ide.eclipse.roo.feature.feature.group,3.6.3.201411271034-RELEASE
Detailed Message: 
Your original request has been modified. "Spring IDE Core (required)" is already installed, so an update will be performed instead. Cannot complete the install because of a conflicting dependency. Software being installed: Spring IDE Core (required) 3.6.3.201411271034-RELEASE (org.springframework.ide.eclipse.feature.feature.group 3.6.3.201411271034-RELEASE) Software currently installed: SpringSource Tool Suite Roo Support 2.9.2.201205071000-RELEASE (com.springsource.sts.roo.feature.group 2.9.2.201205071000-RELEASE) Only one of the following can be installed at once: Spring IDE Refactoring Support 2.9.2.201205070117-RELEASE (org.springframework.ide.eclipse.beans.ui.refactoring 2.9.2.201205070117-RELEASE) Spring IDE Refactoring Support 3.6.3.201411271034-RELEASE (org.springframework.ide.eclipse.beans.ui.refactoring 3.6.3.201411271034-RELEASE) Spring IDE Refactoring Support 3.2.0.201303060654-RELEASE (org.springframework.ide.eclipse.beans.ui.refactoring 3.2.0.201303060654-RELEASE) Cannot satisfy dependency: From: SpringSource Tool Suite (required) 2.9.2.201205071000-RELEASE (com.springsource.sts.feature.group 2.9.2.201205071000-RELEASE) To: org.springframework.ide.eclipse.feature.feature.group [2.9.2,3.0.0) Cannot satisfy dependency: From: SpringSource Tool Suite Roo Support 2.9.2.201205071000-RELEASE (com.springsource.sts.roo.feature.group 2.9.2.201205071000-RELEASE) To: com.springsource.sts.feature.group [2.9.2,2.10.0) Cannot satisfy dependency: From: Spring IDE Core (required) 2.9.2.201205070117-RELEASE (org.springframework.ide.eclipse.feature.feature.group 2.9.2.201205070117-RELEASE) To: org.springframework.ide.eclipse.beans.ui.refactoring [2.9.2.201205070117-RELEASE] Cannot satisfy dependency: From: Spring IDE Core (required) 3.6.3.201411271034-RELEASE (org.springframework.ide.eclipse.feature.feature.group 3.6.3.201411271034-RELEASE) To: org.springframework.ide.eclipse.beans.ui.refactoring [3.6.3.201411271034-RELEASE]